> ## Documentation Index
> Fetch the complete documentation index at: https://insightsoftware.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a custom metric by its source and name

> Requires READ permission on the source



## OpenAPI

````yaml /simba-embedded-analytics/docs/self-service-analytics/26.3/api-swagger/ssa-api-docs-26-3.json get /api/sources/{sourceId}/custom-metrics/{name}
openapi: 3.1.0
info:
  title: Logi Composer Rest API
  description: >-
    The Composer REST API provides methods for retrieving, updating, and
    deleting Composer metadata. With the API endpoints, you can manage
    connections, data sources, accounts, groups, and users quickly and easily.


    ## Authentication


    This API supports the following authentication schemes:


    - **basicAuth** – HTTP Basic authentication using global administrator
    credentials (username and password). Required for most endpoints.

    - **trustedAccessAuth** – HTTP Basic authentication using Trusted Access
    client credentials. Use the **client ID** as the username and the **client
    secret** as the password. Required for Trusted Access token and session
    endpoints.

    - **bearerAuth** – HTTP Bearer token authentication. Supply a token
    previously obtained from a Trusted Access token endpoint
    (`/api/trusted-access/push/tokens` or `/api/trusted-access/pull/tokens`).
  contact:
    name: Logi Support
    url: https://help.insightsoftware.com
    email: logisupport@insightsoftware.com
  version: '1.0'
servers:
  - url: http://10.2.4.166:8080/composer
    description: Generated server url
security:
  - basicAuth: []
tags:
  - name: account-attributes
    description: Reserved Account attributes configuration
  - name: accounts
    description: Manage Accounts
  - name: accounts / admins
    description: Manage Account Administrators
  - name: accounts / users
    description: Manage Account Users
  - name: actions
    description: Manage Action Templates
  - name: activity
    description: Manages Activity Logging
  - name: alerts
    description: Manage Alerts
  - name: branding
    description: Manage branding configuration
  - name: branding-extentions
    description: Manage branding extensions (chart colors, etc.)
  - name: calendars
    description: (experimental) Manage calendars
  - name: comments
    description: Dashboard comments
  - name: connection-types
    description: Manage Connection Types
  - name: connections
    description: Manage Source Connections
  - name: connectors
    description: Manage Connectors
  - name: conversations
    description: Manage Workspace Conversations
  - name: customization
    description: Manage customization configuration
  - name: dashboard-conversion
    description: (experimental) Convert dashboards layout
  - name: dashboard-migration
    description: New Dashboards Migration API
  - name: dashboard-reports
    description: Manage Dashboard Reports
  - name: dashboard-sharing
    description: (experimental) Manage dashboard access level
  - name: dashboards
    description: Manage Dashboards
  - name: export
    description: Export Source Data
  - name: favorites
    description: Favorite Items
  - name: filter-sets
    description: Filter Visualizations Data
  - name: folders
    description: Manage folders
  - name: frontend / environment variables
    description: Get environment variables for frontend
  - name: global
    description: Manage global security configuration
  - name: group-membership
    description: Manages Group Membership
  - name: groups
    description: Manage User Groups
  - name: interactivity
    description: Dashboard interactivity
  - name: inventory
    description: Manage Composer Items
  - name: jobs
    description: List of available scheduler jobs
  - name: joins
    description: Manage joins metadata and suggestions
  - name: json-datasets
    description: Manage JSON datasets
  - name: kerberos
    description: Manage Kerberos Config
  - name: keyset
    description: Manage keysets
  - name: ldap
    description: Manage LDAP Configuration
  - name: license
    description: Manage Composer License
  - name: locale, currency, language
    description: Locale, currency, and language info
  - name: materialized-view
    description: (deprecated since 23.1) Manage Materialized Views
  - name: odata
    description: (experimental) Source Data Retrieval OData service
  - name: password-reset
    description: Self-service forgot-password flow
  - name: permissions
    description: Manage Permissions
  - name: Publish
    description: Publish Workspace Artifacts
  - name: quota
    description: Manage Quotas
  - name: recentlyAccessed
    description: Recently Accessed Elements
  - name: register
    description: User registration
  - name: saml
    description: Manage SAML
  - name: security
    description: Retrieve all sids info
  - name: self-service-reports
    description: Self Service Reports
  - name: sharing
    description: (experimental) Manage dashboard sharing
  - name: snapshots
    description: Create and manage entity snapshots
  - name: snippets
    description: (experimental) Manage snippets
  - name: sources
    description: Manage Sources
  - name: sources / cache-settings
    description: Manages sources cache settings
  - name: sources / custom-metrics
    description: Manage Source Custom Metrics
  - name: sources / dictionaries
    description: Manage Source Dictionaries
  - name: sources / fields
    description: Manage Source Fields
  - name: sources / global-settings
    description: Manages sources global settings
  - name: sources / migration
    description: Source Migration API
  - name: sources / preview and describe
    description: Source preview and describe
  - name: sources / raw data
    description: (experimental) Get source raw data
  - name: sources / security
    description: Manage Sources Security
  - name: sources / security / custom metrics
    description: (experimental) Manage Sources Custom Metric Security
  - name: sources / security / fields
    description: Manage Sources Fields Security
  - name: sources / security / row
    description: Manage Sources Row Security
  - name: sources / unique-key
    description: Manages sources unique key
  - name: sources / visual-types
    description: Manages source visual types
  - name: start-vis
    description: (experimental) Execute start-vis or meta request
  - name: stream
    description: Search stream sources
  - name: tags
    description: Manage tags
  - name: timezones
    description: Timezone Information
  - name: toggle
    description: Toggle Features
  - name: topics
    description: Manage topics
  - name: trusted-access-client
    description: Manage Trusted Access clients
  - name: trusted-access-session
    description: Manage user sessions via Trusted Access
  - name: trusted-access-token
    description: Manage Trusted Access tokens
  - name: uploads
    description: Manage Uploads
  - name: user
    description: Manage User
  - name: users
    description: Manage Users
  - name: users segregation
    description: Segregate users into tenants
  - name: version
    description: System version
  - name: visual-types
    description: Manage Visual Types
  - name: visuals
    description: Manage Visuals
  - name: visuals / migration
    description: New Visuals Migration API
  - name: workspaces
    description: Manage Workspaces
paths:
  /api/sources/{sourceId}/custom-metrics/{name}:
    get:
      tags:
        - sources / custom-metrics
      summary: Retrieve a custom metric by its source and name
      description: Requires READ permission on the source
      operationId: get_17
      parameters:
        - name: sourceId
          in: path
          required: true
          schema:
            type: string
        - name: name
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The custom metric was retrieved successfully
          content:
            application/vnd.composer.v3+json:
              schema:
                $ref: '#/components/schemas/CustomMetricResource'
        '401':
          description: The user must be logged in
          content:
            application/vnd.composer.v3+json:
              schema:
                $ref: '#/components/schemas/ServletErrorMessage'
        '403':
          description: The user doesn't have privilege to do the operation
          content:
            application/vnd.composer.v3+json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '404':
          description: The custom metric was not found
          content:
            application/vnd.composer.v3+json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
components:
  schemas:
    CustomMetricResource:
      type: object
      description: Custom metric representation
      properties:
        name:
          type: string
          description: >-
            Unique identifier of the custom metric within the source across all
            custom metrics and fields. It's immutable and may be specified in
            create request only
          example: sum_of_sales
          maxLength: 255
          minLength: 0
        label:
          type: string
          description: User visible representation of the custom metric.
          example: Sum of Sales
          maxLength: 255
          minLength: 0
        visible:
          type: boolean
          description: Whether the custom metric should be visible to users on a visual
        numberFormat:
          $ref: '#/components/schemas/NumberFormatResource'
          description: Number format of the custom metric value display
        timeFormat:
          $ref: '#/components/schemas/BaseTimeFormatResource'
          description: Time format of the custom metric value display
        granularity:
          type: string
          deprecated: true
          description: The minimum time granularity of this field.
          enum:
            - MILLISECOND
            - SECOND
            - MINUTE
            - HOUR
            - DAY
            - WEEK
            - MONTH
            - QUARTER
            - YEAR
        expression:
          type: string
          description: Expression that defines the custom metric
          example: SUM(sales_in_usd) + SUM(sales_in_uah) * uah_to_usd_exchange_rate
        dataType:
          type: string
          description: >-
            Data type of the custom metric. It’s detected automatically based on
            the metric expression
          enum:
            - ATTRIBUTE
            - NUMBER
            - INTEGER
            - TIME
            - TEXT
            - HIERARCHY
            - 'NULL'
      required:
        - expression
    ServletErrorMessage:
      type: object
      description: Generic servlet error message
      properties:
        timestamp:
          type: string
          format: date-time
        status:
          type: integer
          format: int32
        error:
          type: string
        message:
          type: string
        path:
          type: string
    ErrorMessage:
      type: object
      description: Generic error message
      properties:
        error:
          type: string
        details:
          type: string
        message:
          type: string
        path:
          type: string
        status:
          type: string
        code:
          type: string
        errorCode:
          type: string
        timestamp:
          type: string
        problems:
          type: array
          items:
            $ref: '#/components/schemas/ProblemResource'
    NumberFormatResource:
      type: object
      description: Number display format representation
      properties:
        type:
          type: string
          description: Number format type
          enum:
            - PLAIN
            - CURRENCY
            - PERCENTAGE
            - COMPUTER_STORAGE
            - SCIENTIFIC_NOTATION
            - RATIO
        decimals:
          type: integer
          format: int32
          description: Decimal place
          example: 2
          maximum: 9
          minimum: 0
        separator:
          type: boolean
          description: Use 1000 separator
        negative:
          type: string
          description: Negative display
          enum:
            - SIGNED
            - PARENTHESIZED
        standardUnit:
          type: string
          description: Generic unit multiple
          enum:
            - NONE
            - THOUSANDS
            - MILLIONS
            - BILLIONS
            - TRILLIONS
        storageUnit:
          type: string
          description: Storage unit multiple
          enum:
            - BYTES
            - KILOBYTES
            - MEGABYTES
            - GIGABYTES
            - TERABYTES
            - PETABYTES
            - EXABYTES
        currencyCode:
          type: string
          description: Currency code
          example: USD
      required:
        - type
    BaseTimeFormatResource:
      type: object
      properties:
        timeZone:
          type: string
          description: Time zone used for displaying this field in IANA format
          example: UTC
        options:
          $ref: '#/components/schemas/TimeFieldFormatOptionsResource'
          description: (experimental) Time field format options
    ProblemResource:
      type: object
      properties:
        name:
          type: string
        message:
          type: string
        level:
          type: string
          enum:
            - ERROR
            - WARNING
        dependencies:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ObjectUsageResource'
    TimeFieldFormatOptionsResource:
      type: object
      properties:
        second:
          type: string
          description: (experimental) Second time field formatting setting
          enum:
            - NUMERIC
            - TWO_DIGIT
        minute:
          type: string
          description: (experimental) Minute time field formatting setting
          enum:
            - NUMERIC
            - TWO_DIGIT
        hour:
          type: string
          description: (experimental) Hour time field formatting setting
          enum:
            - NUMERIC
            - TWO_DIGIT
        day:
          type: string
          description: (experimental) Day time field formatting setting
          enum:
            - NUMERIC
            - TWO_DIGIT
            - NARROW
            - SHORT
            - NONE
        weekday:
          type: string
          description: (experimental) Weekday time field formatting setting
          enum:
            - LONG
            - SHORT
            - NARROW
            - NONE
        week:
          type: string
          description: (experimental) Week time field formatting setting
          enum:
            - TWO_DIGIT
            - NARROW
            - RANGE
            - NUMERIC
            - WEEK_START
            - WEEK_END
            - NONE
        month:
          type: string
          description: (experimental) Month time field formatting setting
          enum:
            - NUMERIC
            - TWO_DIGIT
            - LONG
            - SHORT
            - NARROW
            - NONE
        quarter:
          type: string
          description: (experimental) Quarter time field formatting setting
          enum:
            - TWO_DIGIT
            - RANGE
            - NARROW
            - NUMERIC
            - NONE
        year:
          type: string
          description: (experimental) Year time field formatting setting
          enum:
            - NUMERIC
            - TWO_DIGIT
            - NARROW
            - SHORT
            - NONE
        dayOfYear:
          type: string
          description: (experimental) Day time field formatting setting
          enum:
            - NUMERIC
            - TWO_DIGIT
            - SHORT
            - NONE
        hour12:
          type: boolean
          description: >-
            (experimental) Enable/disable 12-hour time format. It will be
            selected automatically if nothing is selected
    ObjectUsageResource:
      type: object
      properties:
        hasOtherUsages:
          type: boolean
        accessible:
          type: array
          items:
            $ref: '#/components/schemas/AccessibleObjectUsageResource'
    AccessibleObjectUsageResource:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        type:
          type: string
          enum:
            - SOURCE
            - MATERIALIZED_VIEW
            - KEY_SET
            - VISUAL
            - DASHBOARD
            - IN_DASHBOARD_VISUAL
            - SNIPPET
            - REPORT
            - FILTER_SET
            - DERIVED_FIELD
            - CUSTOM_METRIC
            - FIELD_LINK
            - ROW_SECURITY_FILTER
            - ACTION
            - SOURCE_JOIN
            - HIERARCHY
            - PARTITION
            - GLOBAL_FILTER
            - UNIQUE_KEY
            - TIME_CONTROL
        parent:
          $ref: '#/components/schemas/AccessibleObjectUsageResource'
  securitySchemes:
    basicAuth:
      type: http
      description: >-
        HTTP Basic authentication using global administrator credentials
        (username and password).
      scheme: basic

````